Agent-readable docs index: /docs/llms.txt. Full docs in one file: /docs/llms-full.txt. Download /docs/docs.zip to grep all markdown files locally.

Replace the project policy

/v1/policyPUT
Authorization
bearer *Bearer <token>
API key of the form orsel_<id>.<secret>, sent as Authorization: Bearer. Scopes: find, read, act:read, act:write, act:sensitive, admin. Clients read it from ORSEL_KEY.
Request Bodyapplication/jsonrequired
policy *object
Show properties
rules *object[]
Max items: 200
Show item properties
id *string
Min length: 1Max length: 64
description?string
Default: ""Max length: 280
effect *"allow" | "deny" | "require_approval"
match?object
Default: {}
Show properties
domains?string[]
Max items: 100
actions?string[]
Max items: 100
risks?"read" | "write" | "sensitive" | "irreversible" | "financial"[]
Max items: 5
dataClasses?"public" | "account" | "personal" | "payment" | "credentials"[]
Max items: 5
limits?object
Default: {}
Show properties
maxAmount?number
Min: > 0
amountField?string
Max length: 128
perHour?integer
Min: > 0Max: 9007199254740991
window?object
Show properties
from *integer
Min: 0Max: 23
to *integer
Min: 0Max: 23
destinationField?string
Max length: 128
destinationAllowlist?string[]
Max items: 100
defaultAboveRead?"deny" | "require_approval"
Default: "deny"
Response
200 · Success
policy *object
Show properties
rules *object[]
Max items: 200
Show item properties
id *string
Min length: 1Max length: 64
description *string
Default: ""Max length: 280
effect *"allow" | "deny" | "require_approval"
match *object
Default: {}
Show properties
domains?string[]
Max items: 100
actions?string[]
Max items: 100
risks?"read" | "write" | "sensitive" | "irreversible" | "financial"[]
Max items: 5
dataClasses?"public" | "account" | "personal" | "payment" | "credentials"[]
Max items: 5
limits *object
Default: {}
Show properties
maxAmount?number
Min: > 0
amountField?string
Max length: 128
perHour?integer
Min: > 0Max: 9007199254740991
window?object
Show properties
from *integer
Min: 0Max: 23
to *integer
Min: 0Max: 23
destinationField?string
Max length: 128
destinationAllowlist?string[]
Max items: 100
defaultAboveRead *"deny" | "require_approval"
Default: "deny"
400 · Invalid request
error *object
Show properties
code *"unauthenticated" | "forbidden" | "not_found" | "invalid_request" | "conflict" | "idempotency_mismatch" | "payload_too_large" | "rate_limited" | "policy_denied" | "approval_required" | "payment_required" | "needs_human" | "internal"
message *string
requestId *string
details?object
401 · Missing, malformed, revoked or expired key
error *object
Show properties
code *"unauthenticated" | "forbidden" | "not_found" | "invalid_request" | "conflict" | "idempotency_mismatch" | "payload_too_large" | "rate_limited" | "policy_denied" | "approval_required" | "payment_required" | "needs_human" | "internal"
message *string
requestId *string
details?object
403 · The key lacks the required scope
error *object
Show properties
code *"unauthenticated" | "forbidden" | "not_found" | "invalid_request" | "conflict" | "idempotency_mismatch" | "payload_too_large" | "rate_limited" | "policy_denied" | "approval_required" | "payment_required" | "needs_human" | "internal"
message *string
requestId *string
details?object
429 · Rate limited. See Retry-After
error *object
Show properties
code *"unauthenticated" | "forbidden" | "not_found" | "invalid_request" | "conflict" | "idempotency_mismatch" | "payload_too_large" | "rate_limited" | "policy_denied" | "approval_required" | "payment_required" | "needs_human" | "internal"
message *string
requestId *string
details?object
Request example
curl -X PUT "/v1/policy" \ -H "Authorization: Bearer <token>" \ -H "Content-Type: application/json" \ -d '{ "policy": { "rules": [ { "id": "string", "description": "", "effect": "allow", "match": {}, "limits": {} } ], "defaultAboveRead": "deny" } }'